---
title: Electricity bill provider Validation
description: This api is for validating electricity bill provider. We have to pass provider id, value and text that specifying the value type in request.
---

This api is for validating electricity bill provider. We have to pass provider id, value and text that specifying the value type in request. If the request is valid, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-provider-validation
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| provider_id | Numeric | provider id (required) |
| required_field | Text | eg. CustomerNumber (length 3-20, required) |
| value | Text | eg. 123523441 (required) |
## Request-Example: 
```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-provider-validation' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'provider_id=26' \
--data-urlencode 'required_field=ConsumerNumber' \
--data-urlencode 'value=1800233001234'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | Field verified, Field not verified, fail |
| data | Text | { } |

## Success-Response:
```
{
    "status": "200",
    "message": "Field verified",
    "data": {}
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```